#(eatdirt) LTS releases have the second digit >=3: like 2020.3.*,
#etc.. Preview versions have the second digit <=2.
#

%define         gitsnap  git20250109
%define         rel      2

Summary:	The FlightGear Flight Simulator
Name:		flightgear
Version:	2024.1.1
Release:	%mkrel 2.%{gitsnap}.%{rel}
License:	GPLv2+
Group:		Games/Simulation
URL:		https://www.flightgear.org/
Source0:	https://downloads.sf.net/flightgear/%{name}-%{version}-%{gitsnap}.tar.gz
#Fix fg_data_dir being overridden by a compulsory download windows)
Patch0:         flightgear-2024.1.1-pkgroot.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	libomp-devel
BuildRequires:	pkgconfig(flite)
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	gsm-devel
BuildRequires:	libgomp-devel
BuildRequires:	plib-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5platformsupport-devel
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(osgXR)
BuildRequires:	simgear-devel >= %{version}
Requires:	flightgear-data >= %{version}

#(eatdirt), lets'try again, this should be fixed
####ExclusiveArch:  x86_64

Obsoletes:	fgrun <= 2016.1.1

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
%setup -q
%autopatch -p1

%build

%cmake \
	-DBUILD_SHARED_LIBS=OFF \
	-DENABLE_SENTRY=ON \
	-DFG_DATA_DIR=%{_gamesdatadir}/%{name} \
	-DSYSTEM_FLITE=ON \
	-DSYSTEM_GSM=ON \
	-DSYSTEM_SPEEX=ON \
	-DSYSTEM_SQLITE=ON \
	-DSIMGEAR_SHARED=ON \
	-DENABLE_GDAL=ON \
	-DFG_BUILD_TYPE="Release" \
	-DENABLE_VR=ON \
%ifnarch %{arm} %{ix86}
	-DENABLE_SIMD:BOOL=ON \
%else
	-DENABLE_SIMD:BOOL=OFF \
%endif
	-DCMAKE_BUILD_TYPE="Release"


%cmake_build

%install
%cmake_install

pushd icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor
for i in `find * -maxdepth 0 -type d`
do
  cp -fr $i %{buildroot}%{_iconsdir}/hicolor/
done




%files
%doc README AUTHORS docs-mini/
%{_bindir}/*
%{_datadir}/bash-completion/completions/fgfs
%{_datadir}/zsh/site-functions/_fgfs
%{_datadir}/applications/org.flightgear.FlightGear.desktop
%{_datadir}/metainfo/org.flightgear.FlightGear.metainfo.xml
%{_iconsdir}/hicolor/*/apps/fgcom.*
%{_iconsdir}/hicolor/*/apps/flightgear.*
%{_mandir}/man*/*.*
%lang(it) %{_mandir}/it/man*/*.*
